/*
 * Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

package org.apache.rave.portal.repository.util;

public class CollectionNames {

    private CollectionNames() {}

    public static final String WIDGET_COLLECTION = "widget";
    public static final String TAG_COLLECTION = "tag";
    public static final String GROUP_COLLECTION = "group";
    public static final String USER_COLLECTION = "person";
    public static final String PERSON_COLLECTION = USER_COLLECTION;
    public static final String PAGE_COLLECTION = "page";
    public static final String PREFERENCE_COLLECTION = "portalPreference";
    public static final String PAGE_TEMPLATE_COLLECTION = "pageTemplate";
    public static final String APP_DATA_COLLECTION = "appData";
    public static final String AUTHORITY_COLLECTION = "authority";
    public static final String CATEGORY_COLLECTION = "category";
    public static final String OAUTH_CONSUMER_COLLECTION = "oauthConsumerStore";
    public static final String OAUTH_TOKEN_COLLECTION = "oauthTokenInfo";
    public static final String PAGE_LAYOUT_COLLECTION = "pageLayout";
    public static final String WIDGET_RATINGS = "rating_statistics";
    public static final String WIDGET_USERS = "user_statistics";
    public static final String OPERATIONS = "ops";
    public static final String ACTIVITIES = "activities";
}
